! build reflectivity model from a given velocity model
program main
  use sep
  implicit none

  real, dimension(:,:), allocatable :: vmod
  integer                           :: nx, ny, nz, iz
  real                              :: oz, dz, grad, vmin, vmax 
  call initpar()

  call from_history("n1", nx)
  call from_history("n2", ny)
  call from_history("n3", nz); call from_history("o3", oz); call from_history("d3", dz)

  call from_param("vmin", vmin)
  call from_param("vmax", vmax)

  grad = (vmax-vmin)/((nz-1)*dz)
 
  allocate(vmod(nx*ny,nz))

  call sep_read(vmod)

  do iz=1, nz
     vmod(:,iz) = vmin + grad*(iz-1)*dz
  end do

  call sep_write(vmod)

end program
